Bug 1275060 - [TEXT] Improve error message when adding a numa node to a vm pinned to multiple hosts
[TEXT] Improve error message when adding a numa node to a vm pinned to multip...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
3.6.0.2
x86_64 Linux
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Tomer Saban
meital avital
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 09:39 EDT by Artyom
Modified: 2016-04-06 07:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 07:31:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑4.0.0?
alukiano: planning_ack?
dfediuck: devel_ack+
alukiano: testing_ack?


Attachments (Terms of Use)
engine log (15.14 MB, text/plain)
2015-10-25 09:39 EDT, Artyom
no flags Details

  None (edit)
Description Artyom 2015-10-25 09:39:33 EDT
Created attachment 1086216 [details]
engine log

Description of problem:
If I try to add numa node to vm that pinned to multiple hosts, action failed with error message "Update VM NUMA node failed.", I believe this message do not describe why update failed.

Version-Release number of selected component (if applicable):
rhevm-3.6.0.2-0.1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Pin vm to multiple hosts
2. Add numa node to vm
3.

Actual results:
Action failed with error message "Update VM NUMA node failed."

Expected results:
Action failed with more informative error or we need just fade numa node window in case if vm pinned to multiple hosts(the same as we doing if vm not pinned to hosts)

Additional info:
Comment 1 Oved Ourfali 2015-10-25 09:42:02 EDT
Artyom, numa stuff is under sla.
Please set both the component as well.
Comment 2 Artyom 2015-10-25 10:54:09 EDT
I set whiteboard sla and I do not see bll.sla under component.
Comment 3 Oved Ourfali 2015-10-25 10:56:56 EDT
(In reply to Artyom from comment #2)
> I set whiteboard sla and I do not see bll.sla under component.

You're right.
Doron?
Comment 4 Doron Fediuck 2015-10-26 03:24:08 EDT
SLA is not component specific, and it runs across the stack.
BZ reassigned.
Comment 5 Red Hat Bugzilla Rules Engine 2015-10-26 07:03:39 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 6 Yaniv Lavi (Dary) 2015-10-29 08:52:28 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 7 Roy Golan 2015-11-11 09:07:34 EST
I think we should allow numa pinning with more than one host cause technically
we don't have a problem migrating it.

Doron?
Comment 8 Doron Fediuck 2015-11-17 10:51:54 EST
(In reply to Roy Golan from comment #7)
> I think we should allow numa pinning with more than one host cause
> technically
> we don't have a problem migrating it.
> 
> Doron?

We may consider it in 4.0 (updated targets).
Comment 9 Doron Fediuck 2016-04-06 07:31:35 EDT
Closing old issues based on capacity.
Please re-open only if relevant and needed.

Note You need to log in before you can comment on or make changes to this bug.